Skip to content

Delete Alert

DELETE
/api/v1/nodes/{node_id}/monitoring/triggers/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Deletes an alert trigger from the load balancer’s underlying node. The node_id path parameter is the load balancer’s node_detail.node_id; the specific trigger is identified by the id (and zabbix_id) query parameters from the List Alert Triggers response.

node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
id
string

Identifier of the alert to delete

Example

<TRIGGER_ID>
type
string

Specifies the type of delete operation for the alert

Example

trigger
zabbix_id
string

Zabbix alert identifier to delete

Example

<ZABBIX_ID>
apikey
required
string

API key used to authenticate the delete alert request

Example

<API_KEY>
location
required
string

The location identifier for the alert to delete.

Example

<LOCATION>
service_ids
string

The node ID the trigger is attached to (the load balancer’s node_detail.node_id).

Example

<NODE_ID>

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the result of the delete operation

integer
data
object
errors

Error message returned by the Delete Alert operation

string
message

Human-readable confirmation that the alert was deleted

string

Example

{
"code": 200,
"errors": "",
"message": "Trigger was deleted successfully"
}